<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>task 501.20</title>
</head>
<body>
    
</body>
<script>
    function subtask1(a){
        if(typeof a === 'string'){
            return console.log(a + " is a string");
        }
        else{
            return console.log(a + " is not a string")
        }
    }

    var v = "Devcamp";
    var v2 = 1;
    subtask1(v);
    subtask1(v2);

    function subtask2(a,n){
        var newA = a.slice(0,n);
        console.log(newA);
    }

    var v = "Robin Singh";
    subtask2(v,4);

    function subtask3(a){
        var newA = a.split(" ");
        console.log(newA);
    }

    var v2 = "Hello World";
    subtask3(v)
    subtask3(v2);

    function subtask4(a){
        var cutA = a.split(" ");
        var outputSting = "";
        for(var i in cutA){
            outputSting += cutA[i] + "-";
        }
        var dauGachCuoiCung =  outputSting.length - 1;
        var outputStringComplete = outputSting.slice(0,dauGachCuoiCung);
        console.log(outputStringComplete);
    }
    var v3 = "Hôm nay em đi học";
    subtask4(v2);
    subtask4(v3);

    function subtask5(a){
        var cutArray = a.split(" ");
        var upperArr = "";
        for(var i in cutArray){
            var firstLetter = cutArray[i].charAt(0);
            var wordUpperedLetter = firstLetter.toUpperCase() + cutArray[i].slice(1);
            upperArr += wordUpperedLetter; 
        }
        console.log(upperArr);        
    }

    subtask5(v3);
    var v4 = "Làm biếng đi học quá";
    var v5 = "Sắp bị đuổi học rùi huhu";

    subtask5(v4);
    subtask5(v5);

    function subtask6(a){
        var cutArray = a.split(" ");
        var upperArr = "";
        for(var i in cutArray){
            var firstLetter = cutArray[i].charAt(0);
            var wordUpperedLetter = firstLetter.toUpperCase() + cutArray[i].slice(1);
            upperArr += wordUpperedLetter + " "; 
        }
        console.log(upperArr);        
    }

    subtask6(v3);
    var v4 = "Làm biếng đi học quá";
    var v5 = "Sắp bị đuổi học rùi huhu";

    subtask6(v4);
    subtask6(v5);

    function subtask7(a, n){
        var upperArr = "";
        for(var i = 0; i < n; i ++){
            upperArr += a;
        }
        console.log(upperArr);
    }

    var v6 = "Ha!";
    var v7 = "Giàu!"

    subtask7(v6,8);
    subtask7(v7,8);

    function subtask8(a,n){
        // var cut = a.split("");
        // var arrayMoi = [];
        // for(var i in cut){
        //     for(var bI = 0; bI < n; bI ++){
        //         var Nchu = "";
        //         arrayMoi[i] = Nchu;
        //         console.log(arrayMoi[i]);
        //     }
        // }
    }

    subtask8(v4,3);
</script>
</html>